openshot::ChunkNotFound Class Reference

Exception when a required chunk is missing. More...

`#include <Exceptions.h>`

Inheritance diagram for openshot::ChunkNotFound:

## Public Member Functions

| ChunkNotFound (string message, int64_t frame_number, int64_t chunk_number, int64_t chunk_frame)
virtual | ~ChunkNotFound () throw ()
Public Member Functions inherited from openshot::BaseException
| BaseException (string message)
virtual const char * | what () const throw ()
virtual | ~BaseException () throw ()

## Public Attributes

int64_t | chunk_frame
int64_t | chunk_number
string | file_path
int64_t | frame_number

## Additional Inherited Members

Protected Attributes inherited from openshot::BaseException
string | m_message

## Detailed Description

Exception when a required chunk is missing.

Definition at line 56 of file Exceptions.h.

## Constructor & Destructor Documentation

## ChunkNotFound()

openshot::ChunkNotFound::ChunkNotFound | ( | string | message,
|  | int64_t | frame_number,
|  | int64_t | chunk_number,
|  | int64_t | chunk_frame
| ) |  |

inline

Definition at line 63 of file Exceptions.h.

## ~ChunkNotFound()

virtual openshot::ChunkNotFound::~ChunkNotFound | ( |  | ) |
throw | ( |
| ) |  |

inline virtual

Definition at line 65 of file Exceptions.h.

## Member Data Documentation

## chunk_frame

int64_t openshot::ChunkNotFound::chunk_frame

Definition at line 62 of file Exceptions.h.

## chunk_number

int64_t openshot::ChunkNotFound::chunk_number

Definition at line 61 of file Exceptions.h.

## file_path

string openshot::ChunkNotFound::file_path

Definition at line 59 of file Exceptions.h.

## frame_number

int64_t openshot::ChunkNotFound::frame_number

Definition at line 60 of file Exceptions.h.

The documentation for this class was generated from the following file:

- Exceptions.h